document.write('<link rel="stylesheet" href="../theme/plugins/toastr-master/toastr.min.css">');
document.write('<link rel="stylesheet" href="../theme/plugins/sweetalert-master/sweet-alert.css">');
document.write('<script src="../theme/plugins/toastr-master/toastr.min.js"></script>');
document.write('<script src="../theme/plugins/sweetalert-master/sweet-alert.min.js"></script>');
document.close();

/* 样式相关工具js */
function Style(platform) {
	this.platform = platform;// android, iphone, ipad, terminal, pc
	if (!platform) this.platform = 'android';// 不传参数则默认android样式
}
/* 弹出层样式 start */
Style.prototype.alert = function(content, callback) {
	swal({
		"title" : content,
		"confirmButtonText" : "确定",
	}, function(isConfirm) {
		if (isConfirm && typeof callback != "undefined") {
			callback();
		}
	});
};
Style.prototype.confirm = function(content, yes, no) {
	swal({
		"title" : content,
		"showConfirmButton" : true,
		"showCancelButton" : true,
		"confirmButtonText" : "确定",
		"cancelButtonText" : "取消",
		"closeOnConfirm" : false,
		"closeOnCancel" : false
	}, function(isConfirm) {
		if (isConfirm) {
			yes();
		} else {
			no();
		}
	});
};
Style.prototype.prompt = function(obj, func) {
	var object = {
		title : "请确认。",
		confirmButtonText : "确定",
		cancelButtonText : "取消",
		text : "",
		type : "input",
		showCancelButton : true,
		closeOnConfirm : false,
		animation : "slide-from-top",
		inputPlaceholder : "随便写点什么。。。"
	};
	$.extend(object, obj);
	swal(object, func);
};

Style.prototype.tip = function(content, time, type) {
	// type类型("success", "info", "warning", "error");
	if (type != "info" && type != "warning" && type != "error") {
		type = "success";
	}
	if (time == null) {
		time = "2000";
	}
	toastr.options = {
		"closeButton" : false,
		"debug" : false,
		"newestOnTop" : true,
		"progressBar" : false,
		"positionClass" : "toast-center-center",
		"preventDuplicates" : true,
		"onclick" : null,
		"showDuration" : "300",
		"hideDuration" : "1000",
		"timeOut" : time,
		"extendedTimeOut" : "1000",
		"showEasing" : "swing",
		"hideEasing" : "linear",
		"showMethod" : "fadeIn",
		"hideMethod" : "fadeOut"
	};
	toastr[type](content, "");
};
// TODO text还没用上= =
Style.prototype.load = function(loadText, type, bottom) {
	if ($(".spinner").length != 0) return;
	var text = loadText ? loadText : "";
	var html;
	if (!type) {
		var defValue = 30;
		html = '<div class="spinner"><div style="width:' + defValue + 'px;height:' + defValue + 'px;" class="bounce1"></div><div style="width:' + defValue + 'px;height:' + defValue + 'px;" class="bounce2"></div><div style="width:' + defValue + 'px;height:' + defValue + 'px;" class="bounce3"></div></div>';
		if ($("#loadDlg").size() == 0) {
			$("body").append("<div id='loadDlg' style='top: 50%;left: 50%;position: fixed;margin-left:-" + defValue * 1.5 + "px;z-index:99999;'></div>");
		}
		if ($("#bg").size() == 0) {
			$("body").append("<div id='bg' style='width:100%;height:100%;position:fixed;z-index:99998;background:#FFF;filter:alpha(opacity=50);-moz-opacity:0.5;-khtml-opacity: 0.5;opacity: 0.5; '></div>");
		}
	} else {
		var defValue = 12;
		bottom = bottom ? bottom : 0;
		html = '<div class="spinner"><div style="width:' + defValue + 'px;height:' + defValue + 'px;" class="bounce1"></div><div style="width:' + defValue + 'px;height:' + defValue + 'px;" class="bounce2"></div><div style="width:' + defValue + 'px;height:' + defValue + 'px;" class="bounce3"></div></div>';
		if ($("#loadDlg").size() == 0) {
			$("body").append("<div id='loadDlg' style='bottom:" + (defValue + bottom) + "px;left: 50%;position: fixed;margin-left:-" + defValue * 1.5 + "px;z-index:99999;'></div>");
		}
	}
	$("#loadDlg").html(html);
};
Style.prototype.hide = function() {
	// $.mobile.loading('hide');
	$("#loadDlg").remove();
	$("#bg").remove();
};
Style.prototype.html = function(HTML, dismissible) {
	if (!dismissible) dismissible = false;
	if ($("#positionWindow").length == 0) {
		var html = '<a href="#positionWindow" id="tipshow" style="display:none"class="ui-btn ui-corner-all ui-shadow ui-btn-inline" data-rel="popup" data-position-to="window"></a>';
		html += '<div data-role="popup" id="positionWindow" class="ui-content" data-theme="m">';
		html += '<div id="html_content">' + HTML + '</div></div>';
		$("#load_msg").html(html);
	} else {
		$("#html_content").html(HTML);
		$("#html_content").trigger('create');
	}
	$("#load_msg").trigger('create');
	$("#positionWindow").popup({
		dismissible : dismissible,
		theme : "m"
	});
	$("#positionWindow").popup("open", "window");
	// alert($("#html_content").hetght() + " " + $("#positionWindow").hetght());
};

Style.prototype.close = function() {
	$("#positionWindow").popup("close");
	swal.close();
};
/* 弹出层样式 end */

// 样式类型转换
Style.prototype.setPlatForm = function(platform) {
	this.platform = platform;
};
// 生成菜单
Style.prototype.makeMenu = function(menuArray) {
	var html = '';
	var length = menuArray.length;
	for (var i = 0; i < length; ++i) {
		if (i % 2 == 0) {
			if (i == length - 1) {
				html += '<div class="ui-grid-a "><div class="ui-bar-a">';
				html += '<a class="gird-inner" href="' + menuArray[i].url + '">';
				html += '<center><i class="' + menuArray[i].className + '"></i>';
				html += '<p>' + menuArray[i].name + '</p></center></a></div></div>';
				break;
			} else {
				html += '<div class="ui-grid-a"><div class="ui-block-a ui-bar-a">';
				html += '<a class="gird-inner" href="' + menuArray[i].url + '">';
				html += '<center><i class="' + menuArray[i].className + '"></i>';
				html += '<p>' + menuArray[i].name + '</p></center></a></div>';
			}
		} else {
			html += '<div class="ui-block-b ui-bar-a">';
			html += '<a class="gird-inner" href="' + menuArray[i].url + '">';
			html += '<center><i class="' + menuArray[i].className + '"></i>';
			html += '<p>' + menuArray[i].name + '</p></center></a></div></div>';
		}
	}
	$("#content").html(html);
};

// 生成展示表格
Style.prototype.makeTable = function(obj, pageParam) {
	if (!pageParam) {
		pageParam = "content";
	}
	var html = '';
	var isTipHide = false;
	for (var i = 0; i < obj.queryList.length; ++i) {
		var data = obj.queryList[i];
		html += '<div data-form="ui-body-m" class="ui-body ui-body-m mt20">';
		for (var j = 0; j < codes.length; ++j) {
			if (codes[j].isTipShow == 1) {
				html += '<div class="ui-field-contain ui-field-contain-txt"><span class="title">' + codes[j].code102 + '：' + '</span><span class="txt">' + Format[codes[j].format](data[codes[j].code101], codes[j].code101) + '</span></div>';
			} else {
				isTipHide = true;
			}
		}
		if (isTipHide) html += '<a href="#loadxq" data-ajax="true"  class="add_button ui-btn myxqbtn" data-mini="true" >查看详情</a>';
		html += '</div>';
	}
	$("#" + pageParam + "").append(html);
	loadxq(obj.queryList, pageParam);
};
// 没有查询到结果的时候调用
Style.prototype.noResultMsg = function(serviceName, pageParam, msg) {
	if (!pageParam) {
		pageParam = "content";
	}
	if (msg == 'si') {
		msg = "亲，抱歉！俺没有查询到您想要查询的 " + serviceName + " ，请确认您是否参加过此险种或重新调整您的查询条件再试下哦。";
	} else if (msg == 'notSi') {
		msg = "亲，抱歉！俺没有查询到您想要查询的 " + serviceName + " 。";
	}
	var html = "<div style='text-align:center'><div style='margin-left:auto;margin-right:auto;'><img src='../../theme/images/monitor.png' /><h3>" + msg + "</h3></div></div>";
	$("#" + pageParam + "").append(html);
};
// 转换对象为json
function objToJson(obj) {
	var str = '{';
	for ( var key in obj) {
		str += key + ':"' + obj[key] + '",';
	}
	str = str.substring(0, str.length - 1);
	str += '}';
	return str;
}
// 存入当前点击数据
function loadxq(list, content, cpage) {
	if (!cpage) {
		cpage = ajax.cpage;
	}
	var loadpage = (cpage - 1) * ajax.rows;
	var btn = $("#" + content + "").find("a");
	$.each(list, function(i, obj) {
		$(btn[i + loadpage]).click(function() {
			sessionStorage.myxq = objToJson(obj);
			resultxq();
		});
	});
}
// 加载详情
function resultxq(codesxq) {
	var html = '';
	var data = sessionStorage.myxq;
	data = eval("(" + data + ")");
	if (!codesxq) {
		codesxq = codes;
	}
	html += '<div data-form="ui-body-m" class="ui-body ui-body-m mt20">';
	for (var j = 0; j < codesxq.length; ++j) {
		html += '<div class="ui-field-contain ui-field-contain-txt"><span class="title">' + codesxq[j].code102 + '：' + '</span><span class="txt">' + Format[codes[j].format](data[codes[j].code101], codes[j].code101) + '</span></div>';
	}
	html += '</div>';
	$("#contentxq").html(html);
}

Style.prototype.makeTable3 = function(codexq, obj, detailUrl, titleName, detail, url, page, pageParam) {
	// alert("obj:"+obj+"--"+"detailUrl:"+detailUrl+"--"+"titleName:"+titleName+"--"+"detail:"+detail+"=--"+"url:"+url+"pageParam:"+pageParam);
	if (!pageParam) {
		pageParam = "content";
	}
	var html = '';
	var isTipHide = false;
	for (var i = 0; i < obj.queryList.length; ++i) {
		var data = obj.queryList[i];
		html += '<div data-form="ui-body-m" class="ui-body ui-body-m mt20">';
		for (var j = 0; j < codes.length; ++j) {
			if (codes[j].isTipShow == 1) {
				html += '<div class="ui-field-contain ui-field-contain-txt"><span class="title">' + codes[j].code102 + '：' + '</span><span class="txt">' + Format[codes[j].format](data[codes[j].code101], codes[j].code101) + '</span></div>';
			} else {
				isTipHide = true;
			}

		}
		if (isTipHide & !detailUrl) {
			html += '<a href="#loadxq" data-ajax="true"  class=" add_button ui-btn myxqbtn" data-mini="true" >查看详情</a>';
		} else {
			if (detail == 1 && url1 != null & isTipHide) {
				html += '<div style="float:left;width:50%;"><a href="#loadxq" data-ajax="true"  class=" add_button ui-btn myxqbtn" data-mini="true" >查看详情</a></div>';
				html += '<div style="float:right;width:50%;"><a href="#detailPage1" data-ajax="true"  class="add_button ui-btn  myxqbtn" data-mini="true" >' + titleName + '</a></div>';
			}
			if (detail == 2 && url2 != null & isTipHide) {
				html += '<div style="float:left;width:50%;"><a href="#loadxq" data-ajax="true"  class=" add_button ui-btn myxqbtn" data-mini="true" >查看详情</a></div>';
				html += '<div style="float:right;width:50%;"><a href="#detailPage2" data-ajax="true"  class="add_button ui-btn myxqbtn" data-mini="true" >' + titleName + '</a></div>';
			}
		}
		if (detail == 1 && url1 != null && !isTipHide) {
			html += '<a href="#detailPage1" data-ajax="true"  class="add_button ui-btn  myxqbtn" data-mini="true" >' + titleName + '</a>';
		}
		if (detail == 2 && url2 != null && !isTipHide) {
			html += '<a href="#detailPage2" data-ajax="true"  class="add_button ui-btn myxqbtn" data-mini="true" >' + titleName + '</a>';
		}
		html += '</div>';
	}
	$("#" + pageParam + "").append(html);
	if (isTipHide) {
		loadxq1(codexq, obj.queryList, detailUrl, url, pageParam, page, isTipHide);
	}
	if (detail == 1 && url1 != null) {
		loadNext(obj.queryList, detailUrl, url, pageParam, isTipHide);
	}
	if (detail == 2 && url2 != null) {
		loadLast(obj.queryList, detailUrl, url, pageParam, isTipHide);
	}
};

// 存入当前点击数据
function loadxq1(codes, list, detailUrl, url, content, cpage,isTipHide) {
	if (!cpage) {
		cpage = ajax.cpage;
	}
	var loadpage = (cpage - 1) * ajax.rows;
	var btn = $("#" + content).find("a[href='#loadxq']");
	$.each(list, function(i, obj) {
		$(btn[i + loadpage]).click(function() {
			sessionStorage.myxq = objToJson(obj);
			resultxq(codes);
		});
	});
}

// 存入当前点击数据
function loadNext(list, detailUrl, url, content) {
	var loadpage = (ajax.cpage - 1) * ajax.rows;
	var btn = $("#" + content + "").find("a[href='#detailPage1']");
	$.each(list, function(i, obj) {
		var data = obj;
//		if (isTipHide) {
//			loadpage = loadpage + 1;
//		}
		$(btn[i + loadpage]).click(function() {
			$("#detail1").html('');
			ajaxDetail.reset();
			sessionStorage.url = url;
			sessionStorage.detailUrl = detailUrl;
			sessionStorage.detailUrlValue = data[detailUrl];
			queryDetail();
		});
	});
}

// 存入当前点击数据
function loadLast(list, detailUrl, url, content) {
	var loadpage = (ajaxDetail.cpage - 1) * ajax.rows;
	var btn = $("#" + content + "").find("a[href='#detailPage2']");
	$.each(list, function(i, obj) {
//		if (isTipHide) {
//			loadpage = loadpage + 1;
//		}
		$(btn[i + loadpage]).click(function() {
			sessionStorage.url = url;
			sessionStorage.detailUrl = detailUrl;
			sessionStorage.detailUrlValue = obj[detailUrl];
			$("#detail2").html('');
			ajaxDetail2.reset();
			queryDetail2();
		});
	});
}

// 初始化日期插件
Style.prototype.initDate = function(param1, param2) {
	var self = this;
	if (!param1) param1 = 'param1';
	if (!param2) param2 = 'param2';
	var themeObj = {
		"iphone" : "ios",
		"ipad" : "ios",
		"android" : "android-ics light",
		"terminal" : "android-ics light"
	};
	var dateFormat = params.dateFormat;
	var initYearAgo = params.initYearAgo;
	if (!dateFormat) dateFormat = 'yyyymm';
	if (!initYearAgo) initYearAgo = 1;

	var nowDate = new Date();
	var yearAgo = new Date();
	yearAgo.setFullYear(nowDate.getFullYear() - initYearAgo);
	$("#" + param1 + ",#" + param2).mobiscroll().date({
		theme : themeObj[self.platform],
		lang : 'zh',
		display : "bottom",
		mode : 'scroller',
		dateOrder : dateFormat.substr(2),
		dateFormat : Format["date"](dateFormat).substr(2)
	});
	var beginDate = yearAgo.format(Format["date"](dateFormat));
	var endDate = nowDate.format(Format["date"](dateFormat));
	$('#' + param1).val(beginDate);
	$('#' + param2).val(endDate);
	if (dateFormat == 'yyyy') {
		$("#param1_name").html('开始年份');
		$("#param2_name").html('截止年份');
	} else if (dateFormat == 'yyyymmdd') {
		$("#param1_name").html('开始日期');
		$("#param2_name").html('截止日期');
	}
};
// 初始化选择插件
Style.prototype.initSelect = function(select) {
	var self = this;
	var themeObj = {
		"iphone" : "ios",
		"ipad" : "ios",
		"android" : "android-ics light",
		"terminal" : "android-ics light"
	};
	$(select).mobiscroll().select({
		theme : themeObj[self.platform],
		lang : 'zh',
		display : 'bottom'
	});
};